/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: TRG_DTULTATU_REGIAO                                                  */
/*                                                                            */
/* Descrio:                                                                 */
/* Atualiza a data de ultima atualizao da regio                            */
/*                                                                            */
/* Criao:                                                                   */
/* 10/07/2000 - Joo Fernando dos Reis Corra                                 */
/*                                                                            */
/* Manutenes TRG :                                                          */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE 
            o.name = 'DTULTATU_REGIAO'  and 
            type = 'TR'                 and
            u.uid = o.uid               and 
            u.name = USER)
  DROP TRIGGER DTULTATU_REGIAO
  GO

CREATE TRIGGER DTULTATU_REGIAO
ON REGIAO
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'REGIAO', 'CDREGIAO=' + CDREGIAO+';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE REGIAO
      SET DTULTATUREG = GETDATE()
      FROM INSERTED
      WHERE ISNULL(REGIAO.CDREGIAO,0) = ISNULL(INSERTED.CDREGIAO,0);
   END;
END;
GO